/////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////
// function serialsend: called by timer every 20 ms
static void funct_serialsend (int sig) {
	int ret;

	serialsendcount++;

	// sending ambe-packet (to keep the dvdongle busy)
	ret=write (donglefd,ambe,50);

	// allpacketsend can have the following values:
	// 0: normal packets during a stream
	// 1: the last frame of the stream has been send -> now send a stop
	// 2 and above not used here

	if (allpacketsend < 1) {
		// we should have data to send

		// but do we?
		if (datatosend == 1) {
		// yes!
			ret=write (donglefd,&pcmbuffer,322);

			datasendready=0;

		} else {
			fprintf(stderr,"error, not received any data\n");
		}; // end if (datatosend)

		
	} else if (allpacketsend == 1) {
	// last frame has already been send, so send a "stop" command
		ret=write(donglefd,command_stop,5);
		allpacketsend=2;
		datatosend=0;
	};

	// ok, we can receive the next frame
	datasendready=1;
}; // end function funct_serialsend
